# &amarok;i käsiraamat

Mike
Diehl

    madpenguin8@yahoo.com

Amaroki arendajate meeskond
Arendajad
Marek
Laane

    bald@starman.ee

Tõlge eesti keelde
2005
Amaroki arendajate meeskond
2006
DoKymotioni kamp
&FDLNotice;
2006-02-20
2.1

&amarok; on KDE meediamängija.

KDE
multimeedia
mängija
audio
ogg
mp3
wav
muusika
heli
skript

## Sissejuhatus

Logo

&amarok; on &kde; audiofailide mängija. See on avarate võimaluste, ühtaegu võimas ja hõlpsasti kasutatav rakendus.

Kas oled sageli tundnud masendust, kui pead muudkui lappama menüüd, et lihtsalt muusikafaile esitusnimekirja lisada? &amarok; võimaldab seda teha pelgalt vajalikke faile esitusnimekirja lohistades. Oletame, et otsid mingit konkreetset pala oma tuhandete lugude seast. &amarok;i muusikakogu sirvija pakub sulle otsinguriba, mis võimaldab vajaliku pala mõne sekundiga üles leida.

Nii pakub &amarok; kõiki neid häid ja teada-tuntud võimalusi, mida iga muugi audiofailide mängija, aga see pole veel kõik. Heida vaid pilk kontekstisirvijale ja sa näed, et &amarok; on teistest tubli sammu võrra ees. Kontekstisirvija kujutab endast käigult loodavat andmebaasi, kus uuendatakse järjepidevalt sinu esitusnimekirja kohta käivat statistikat. Seda saab pruukida ka albumi kaanepiltide tõmbamiseks, mis muudab sirvija mitte lihtsalt inforohkemaks, vaid ka visuaalselt köitvamaks. Lisaks sellele pakub kontekstisirvija kõikvõimalikku teavet: sama esitaja teisi lugusid, sarnaseid esitajaid ja veel palju muud.

Sul on juba terve hulk esitusnimekirju ja sa ei suuda kunagi otsustada, millist neist parajasti ette võtta? Siis sobib sulle esitusnimekirja sirvija. Salvestatud esitusnimekirjade laadimine sirvijasse käib üheainsa klahvivajutusega. Sa ei tea, mida parajasti kuulata? Amaroki dünaamiline esitusrežiim valib muusikat sinu eest, nutikad esitusnimekirjad lubavad aga oma muusikakogus valida otse mõne huvipakkuva koha.

Amarok toetab suurepäraselt Apple'i Ipodi, iRiveri IFP-d ja veel tervet rida USB-seadmeid. Samuti on pakkuda mitmeid audiotaustaprogramme, mis lubab just sinul määrata, kuidas oma muusikat kuulata. Need ja veel arvukad omadused muudavad Amaroki parimaks muusikamängijaks. &amarok; on nutikas, seksikas taiplik. Me loodane, et see aitab sul tõepoolest "muusikat avastada"!

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Autorid ja litsents

Rakenduse autoriõigus 2003-2005: Mark Kretschmann markey@web.de ja amaroKi meeskond.

### amaroKi meeskond

- Christian babe-magnet Muehlhaeuser chris@chris.de

- Frederik ich bin kein Deustcher! Holljen fh@ez.no

- Mark it's good, but it's not irssi Kretschmann markey@web.de

- Max Turtle-Power Howell max.howell@methylblue.com

- Mike purple is not girly! Diehl madpenguin8@yahoo.com

- Pierpaolo Spaghetti Coder Di Panfilopippo_dp@libero.it

- Roman and God said, let there be Mac Becker roman@formmorf.de

- Seb Surfin' down under Ruiz me@sebruiz.net

- Stanislav did someone say DCOP? Karchebny Stanislav.Karchebny@kdemail.net

### Kaasautorid:

- Adam Pigg (analüsaatorid, paigad) adam@piggz.fsnet.co.uk

- Adeodato Simo (paigad) asp16@alu.ua.es

- Alexandre Oliveira (parandused, veaparandused) aleprj@gmail.com

- Andreas Mair (MySql toetus) am_ml@linogate.com

- Andrew de Quincey (Postgresql toetus) adq_dvb@lidskialf.net

- Christie Harris (roKymoter) dangle.baby@gmail.com

- Dan Leinir Turthra Jensen (esimese korra nõustaja) admin@removeleinir.dk

- Dan Meltzer (roKymoter) hydrogen@notyetimplemented.com

- Enrico Ros (analüsaatorid, openGL kuningas) eros.kde@email.it

- Florian 'da-flow' Egerer (Amaroki ikoon 'Blue Wolf) flo_for_never@gmx.at

- Gérard Dürrmeyer (ikoonid ja pildivärk) gerard@randomtree.com

- Greg Meyer (imetletav abi meie 1.2-eelse vigadelaviini juures) greg@gkmweb.com

- Harald Sitter (roKymoter, tõlked, veaparandused, ekraanipildid) harald.sitter@kdemail.net

- Ian Monroe (paigad, Ruby skripti mall (eean) ) ian@monroe.nu

- Jarkko Lehti (testija) grue@iki.fi

- Jocke Andersson (roKymoter) ajocke@gmail.com

- Kenneth Wesley Wimer II (ikoonid) kwwii@bootsplash.org

- Kenny Lemieux (Amaroki veebimeister) swaft@pwsp.net

- Melchior Franz (uus FFT rutiin, veaparandused) mfranz@kde.org

- Michael Pyne (K3B ekspordi kood) michael.pyne@kdemail.net

- Nenad Grujicic (1.1 käivitusekraan) mchitman@neobee.net

- Olivier Bédard (veebilehekülje hoidja) paleo@pwsp.net

- Reigo Reinmets (Wikipedia toetus, paigad) xatax@hot.ee

- Roland Gigler (MAS mootor) michael.pyne@kdemail.net

- Sami Nieminen (Audioscrobbleri toetus) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Stefan Bogner (väga palju igasugu asju) bochi@online.ms

- Stefan Siegel (paigad, veaparandused) kde@sdas.de

- Sven Krohlas (roKymoter) sven@asbest-online.de

- Whitehawk Stormchaser (testija, parandused) zerokode@gmx.net

Dokumentatsiooni autoriõigus 2005: Mike Diehl madpenguin8@yahoo.com

&underFDL; &underGPL;

&amarok-req;

## Paigaldamine

### &amarok;i hankimine

&amarok;i saab alla tõmmata &amarok;i koduleheküljelt

Uusima arendusversiooni leiab &kde; SVN-ist moodulist /trunk/extragear/multimedia/amarok/.

#### &amarok;i kompileerimine

Amaroki kompileerimiseks ja paigaldamiseks oma süsteemi anna Amaroki lähteteksti baaskataloogis järgmised käsud:

`./configure --prefix=`kde-config --prefix`` `make` `su -c "make install"`

Konfiguratsioonivõti --enable-final ei ole enam toetatud.

Et &amarok; kasutab autoconf'i ja automake'i, ei tohiks kompileerimisel probleeme tekkida. Kui neid siiski esineb, anna sellest teada &kde; meililistides

#### Konfiguratsioonivõtmed

&amarok; sarnaneb ülejäänud rakendustele selle poolest, et ka tema võib kasutada kompileerimise ajal konfiguratsioonivõtmeid (või ka mitte kasutada). Toome siin ära võtmed, mida saab kasutada.

Mõned kompileerimisel kasutatavad võtmed nõuavad spetsiaalseid sõltuvusi. Täpsemalt räägib neist nõuete osa.

Võti | Vaikimisi | Kirjeldus
--- | --- | ---
--enable-debug= | no | Silumissümbolite lubamine. Valikud on yes, no ja full. Kasuta võtit full, kui soovid kaasa aidata &amarok;i arendamisele.
--enable-mysql | Disabled | MySQL andmebaasi toe lubamine &amarok;is
--disable-amazon | Enabled | Amazoni kaanepiltide tõmbamise toe keelamine &amarok;is
--without-arts | With | aRtsi toe keelamine &amarok;is
--without-gstreamer | With | GStreameri toe keelamine &amarok;is
--with-helix | With | Helixi toe lubamine &amarok;is
--without-xine | With | xine toe keelamine &amarok;is
--with-nmm | Without | NMM toe lubamine &amarok;is
--with-mas | Without | MAS toe lubamine &amarok;is
--without-opengl | With | OpenGL (analüsaatorite) toe keelamine &amarok;is
--without-included-sqlite | With | Ei kasutata kaasatud sqlite'i allikaid (nõuab sqlite'i paigaldamist)

&documentation.index;